Name:          	normalize
Summary:       	An Audio File Volume Normalizer
URL:           	http://normalize.nongnu.org/
License: GPL-2.0
Group:         	Productivity/Multimedia/Sound/Editors and Convertors
Packager:      	Henne Vogelsang <henne@links2linux.de>
Version:       	0.7.7
Release:       	pm153.4.5
Source0:       	http://savannah.nongnu.org/download/%name/%name-%version.tar.bz2
BuildRoot:     	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	pkg-config
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(audiofile)

%description
Normalize is a tool for adjusting the volume of audio files to a
standard level. This is useful for things like creating mix CDs and MP3
collections, where different recording levels on different albums can
cause the volume to vary greatly from song to song.

%prep
%setup -q

%build
mkdir $$
export PATH="$PWD/$$:$PATH"
tee $$/audiofile-config <<'_EOF_'
#!/bin/bash
case "$1" in
  --libs) pkg-config --libs audiofile ;;
  --cflags) pkg-config --cflags audiofile ;;
  --version) pkg-config --modversion audiofile ;;
esac
_EOF_
chmod -v 555 $$/audiofile-config
export AUDIOFILE_CONFIG=$PWD/$$/audiofile-config
export MP3DECODE=mpg123
export MP3ENCODE=lame
export OGGDECODE=oggdec
export OGGENCODE=oggenc
export VORBISCOMMENT=vorbiscomment
export FLACDECODE=flac
export FLACENCODE=flac
export METAFLAC=metaflac
%configure \
	--disable-helper-search \
	--with-mad
make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name}


%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING NEWS README THANKS TODO doc/frontend.txt doc/normalize.1.sgml
%_bindir/*
%{_mandir}/man1/*

%changelog
* Mon Jul 26 2010 detlef@links2linux.de
- disable xmms plugin for 11.3
* Wed Sep 26 2007 henne@links2linux.de
- re-enable xmms plugin for 10.3, we build xmms now in packman
* Wed Aug 29 2007 henne@links2linux.de
- get rid of the xmms plugin in the 10.3 build
* Thu Mar 23 2006 henne@links2linux.de
- cleanup specfile
- create xmms-plugin
- use audiofile
* Mon Feb 27 2006 detlef@links2linux.de
- Update to 0.7.7
* Tue Sep 20 2005 henne@links2linux.de
- First packman release
